- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
BlisNodeDesc Class Reference

`#include <BlisNodeDesc.h>`

Inheritance diagram for BlisNodeDesc:
[legend]
Collaboration diagram for BlisNodeDesc:
[legend]

## Public Member Functions
| BlisNodeDesc ()
| Default constructor. More...
| BlisNodeDesc (BlisModel *m)
| Useful constructor. More...
virtual | ~BlisNodeDesc ()
| Destructor. More...
void | setBasis (CoinWarmStartBasis *&ws)
| Set basis. More...
CoinWarmStartBasis * | getBasis () const
| Get warm start basis. More...
void | setBranchedDir (int d)
| Set branching direction. More...
int | getBranchedDir () const
| Get branching direction. More...
void | setBranchedInd (int d)
| Set branching object index. More...
int | getBranchedInd () const
| Get branching object index. More...
void | setBranchedVal (double d)
| Set branching value. More...
double | getBranchedVal () const
| Get branching direction. More...
virtual AlpsReturnStatus | encode (AlpsEncoded *encoded) const
| Pack node description into an encoded. More...
virtual AlpsReturnStatus | decode (AlpsEncoded &encoded)
| Unpack a node description from an encoded. More...
| BlisNodeDesc ()
| Default constructor. More...
| BlisNodeDesc (BlisModel *m)
| Useful constructor. More...
virtual | ~BlisNodeDesc ()
| Destructor. More...
void | setBasis (CoinWarmStartBasis *&ws)
| Set basis. More...
CoinWarmStartBasis * | getBasis () const
| Get warm start basis. More...
void | setBranchedDir (int d)
| Set branching direction. More...
int | getBranchedDir () const
| Get branching direction. More...
void | setBranchedInd (int d)
| Set branching object index. More...
int | getBranchedInd () const
| Get branching object index. More...
void | setBranchedVal (double d)
| Set branching value. More...
double | getBranchedVal () const
| Get branching direction. More...
virtual AlpsReturnStatus | encode (AlpsEncoded *encoded) const
| Pack node description into an encoded. More...
virtual AlpsReturnStatus | decode (AlpsEncoded &encoded)
| Unpack a node description from an encoded. More...
Public Member Functions inherited from BcpsNodeDesc
| BcpsNodeDesc ()
| Default constructor. More...
| BcpsNodeDesc (BcpsModel *m)
| Useful constructor. More...
virtual | ~BcpsNodeDesc ()
| Destructor. More...
void | initToNull ()
| Initialize member data. More...
void | setVars (int numRem, const int *posRem, int numAdd, const BcpsObject **objects, bool relvlh, int numvlh, const int *vlhp, const double *vlhe, bool relvuh, int numvuh, const int *vuhp, const double *vuhe, bool relvls, int numvls, const int *vlsp, const double *vlse, bool relvus, int numvus, const int *vusp, const double *vuse)
| Set variable objects. More...
void | assignVars (int numRem, int *&posRem, int numAdd, BcpsObject **&objects, bool relvlh, int numvlh, int *&vlhp, double *&vlhe, bool relvuh, int numvuh, int *&vuhp, double *&vuhe, bool relvls, int numvls, int *&vlsp, double *&vlse, bool relvus, int numvus, int *&vusp, double *&vuse)
| Assign variable objects. More...
void | setCons (int numRem, const int *posRem, int numAdd, const BcpsObject **objects, bool relclh, int numclh, const int *clhp, const double *clhe, bool relcuh, int numcuh, const int *cuhp, const double *cuhe, bool relcls, int numcls, const int *clsp, const double *clse, bool relcus, int numcus, const int *cusp, const double *cuse)
| Set constraint objects. More...
void | assignCons (int numRem, int *&posRem, int numAdd, BcpsObject **&objects, bool relclh, int numclh, int *&clhp, double *&clhe, bool relcuh, int numcuh, int *&cuhp, double *&cuhe, bool relcls, int numcls, int *&clsp, double *&clse, bool relcus, int numcus, int *&cusp, double *&cuse)
| Assign constraint objects. More...
BcpsObjectListMod * | getVars () const
| Get variable objects. More...
BcpsObjectListMod * | getCons () const
| Get constraint objects. More...
BcpsObjectListMod * | vars ()
| Accesss varaibles. More...
BcpsObjectListMod * | cons ()
| Accesss constraints. More...
void | assignVarSoftBound (int numModSoftVarLB, int *&varLBi, double *&varLBv, int numModSoftVarUB, int *&varUBi, double *&varUBv)
| Set variable soft bounds. More...
void | setVarSoftBound (int numModSoftVarLB, const int *varLBi, const double *varLBv, int numModSoftVarUB, const int *varUBi, const double *varUBv)
| Set variable soft bounds. More...
void | assignVarHardBound (int numModHardVarLB, int *&varLBi, double *&varLBv, int numModHardVarUB, int *&varUBi, double *&varUBv)
| Set variable hard bounds. More...
void | setConSoftBound (int numModSoftConLB, const int *conLBi, const double *conLBv, int numModSoftConUB, const int *conUBi, const double *conUBv)
| Set constraint soft bounds. More...
void | setVarHardBound (int numModHardVarLB, const int *varLBi, const double *varLBv, int numModHardVarUB, const int *varUBi, const double *varUBv)
| Set variable hard bounds. More...
void | setConHardBound (int numModHardConLB, const int *conLBi, const double *conLBv, int numModHardConUB, const int *conUBi, const double *conUBv)
| Set constraint hard bounds. More...
void | appendAddedConstraints (int numAdd, BcpsObject **addCons)
| Recode the added constraints. More...
void | setAddedConstraints (int numAdd, BcpsObject **addCons)
| Recode the added constraints. More...
void | delConstraints (int numDel, int *indices)
| Record the constraints are deleted. More...
void | addVariables (int numAdd, BcpsObject **addVars)
| Record added variables. More...
void | delVariables (int numDel, int *indices)
| Record deleted variables. More...
AlpsReturnStatus | encodeBcps (AlpsEncoded *encoded) const
| Pack bcps node description into an encoded. More...
AlpsReturnStatus | decodeBcps (AlpsEncoded &encoded)
| Unpack bcps node description into an encoded. More...
Public Member Functions inherited from AlpsNodeDesc
| AlpsNodeDesc ()
| AlpsNodeDesc (AlpsModel *m)
virtual | ~AlpsNodeDesc ()
AlpsModel * | getModel () const
void | setModel (AlpsModel *m)

## Protected Member Functions
AlpsReturnStatus | encodeBlis (AlpsEncoded *encoded) const
| Pack blis portion of node description into an encoded. More...
AlpsReturnStatus | decodeBlis (AlpsEncoded &encoded)
| Unpack blis portion of node description from an encoded. More...
AlpsReturnStatus | encodeBlis (AlpsEncoded *encoded) const
| Pack blis portion of node description into an encoded. More...
AlpsReturnStatus | decodeBlis (AlpsEncoded &encoded)
| Unpack blis portion of node description from an encoded. More...
Protected Member Functions inherited from BcpsNodeDesc
AlpsReturnStatus | encodeDblFieldMods (AlpsEncoded *encoded, BcpsFieldListMod< double > *field) const
| Pack a double field into an encoded object. More...
AlpsReturnStatus | encodeIntFieldMods (AlpsEncoded *encoded, BcpsFieldListMod< int > *field) const
| Pack a integer field into an encoded object. More...
AlpsReturnStatus | encodeObjectMods (AlpsEncoded *encoded, BcpsObjectListMod *objMod) const
| Pack object modifications to an encoded object. More...
AlpsReturnStatus | decodeDblFieldMods (AlpsEncoded &encoded, BcpsFieldListMod< double > *field)
| Unpack a double field from an encoded object. More...
AlpsReturnStatus | decodeIntFieldMods (AlpsEncoded &encoded, BcpsFieldListMod< int > *field)
| Unpack a integer field from an encoded object. More...
AlpsReturnStatus | decodeObjectMods (AlpsEncoded &encoded, BcpsObjectListMod *objMod)
| Unpack object modifications to an encoded object. More...

## Private Attributes
int | branchedDir_
| Branched direction to create it. More...
int | branchedInd_
| Branched object index to create it. More...
double | branchedVal_
| Branched value to create it. More...
CoinWarmStartBasis * | basis_
| Warm start. More...

## Additional Inherited Members
Protected Attributes inherited from BcpsNodeDesc
BcpsObjectListMod * | vars_
| Variable objects. More...
BcpsObjectListMod * | cons_
| Constraint objects. More...
Protected Attributes inherited from AlpsNodeDesc
AlpsModel * | model_
| A pointer to model. More...

## Detailed Description

Definition at line 40 of file BlisNodeDesc.h.

## Constructor & Destructor Documentation

BlisNodeDesc::BlisNodeDesc | ( |  | ) |
| inline

Default constructor.

Definition at line 59 of file BlisNodeDesc.h.

BlisNodeDesc::BlisNodeDesc | ( | BlisModel * | m | ) |
| inline

Useful constructor.

Definition at line 68 of file BlisNodeDesc.h.

virtual BlisNodeDesc::~BlisNodeDesc | ( |  | ) |
| inline virtual

Destructor.

Definition at line 78 of file BlisNodeDesc.h.

BlisNodeDesc::BlisNodeDesc | ( |  | ) |
| inline

Default constructor.

Definition at line 59 of file BlisNodeDesc.h.

BlisNodeDesc::BlisNodeDesc | ( | BlisModel * | m | ) |
| inline

Useful constructor.

Definition at line 68 of file BlisNodeDesc.h.

virtual BlisNodeDesc::~BlisNodeDesc | ( |  | ) |
| inline virtual

Destructor.

Definition at line 78 of file BlisNodeDesc.h.

## Member Function Documentation

void BlisNodeDesc::setBasis | ( | CoinWarmStartBasis *& | ws | ) |
| inline

Set basis.

Definition at line 81 of file BlisNodeDesc.h.

CoinWarmStartBasis* BlisNodeDesc::getBasis | ( |  | ) | const
| inline

Get warm start basis.

Definition at line 88 of file BlisNodeDesc.h.

void BlisNodeDesc::setBranchedDir | ( | int | d | ) |
| inline

Set branching direction.

Definition at line 91 of file BlisNodeDesc.h.

int BlisNodeDesc::getBranchedDir | ( |  | ) | const
| inline

Get branching direction.

Definition at line 94 of file BlisNodeDesc.h.

void BlisNodeDesc::setBranchedInd | ( | int | d | ) |
| inline

Set branching object index.

Definition at line 97 of file BlisNodeDesc.h.

int BlisNodeDesc::getBranchedInd | ( |  | ) | const
| inline

Get branching object index.

Definition at line 100 of file BlisNodeDesc.h.

void BlisNodeDesc::setBranchedVal | ( | double | d | ) |
| inline

Set branching value.

Definition at line 103 of file BlisNodeDesc.h.

double BlisNodeDesc::getBranchedVal | ( |  | ) | const
| inline

Get branching direction.

Definition at line 106 of file BlisNodeDesc.h.

AlpsReturnStatus BlisNodeDesc::encodeBlis | ( | AlpsEncoded * | encoded | ) | const
| inline protected

Pack blis portion of node description into an encoded.

Definition at line 111 of file BlisNodeDesc.h.

AlpsReturnStatus BlisNodeDesc::decodeBlis | ( | AlpsEncoded & | encoded | ) |
| inline protected

Unpack blis portion of node description from an encoded.

Definition at line 133 of file BlisNodeDesc.h.

virtual AlpsReturnStatus BlisNodeDesc::encode | ( | AlpsEncoded * | encoded | ) | const
| inline virtual

Pack node description into an encoded.

Reimplemented from AlpsNodeDesc.

Definition at line 156 of file BlisNodeDesc.h.

virtual AlpsReturnStatus BlisNodeDesc::decode | ( | AlpsEncoded & | encoded | ) |
| inline virtual

Unpack a node description from an encoded.

Fill member data.

Reimplemented from AlpsNodeDesc.

Definition at line 166 of file BlisNodeDesc.h.

void BlisNodeDesc::setBasis | ( | CoinWarmStartBasis *& | ws | ) |
| inline

Set basis.

Definition at line 81 of file BlisNodeDesc.h.

CoinWarmStartBasis* BlisNodeDesc::getBasis | ( |  | ) | const
| inline

Get warm start basis.

Definition at line 88 of file BlisNodeDesc.h.

void BlisNodeDesc::setBranchedDir | ( | int | d | ) |
| inline

Set branching direction.

Definition at line 91 of file BlisNodeDesc.h.

int BlisNodeDesc::getBranchedDir | ( |  | ) | const
| inline

Get branching direction.

Definition at line 94 of file BlisNodeDesc.h.

void BlisNodeDesc::setBranchedInd | ( | int | d | ) |
| inline

Set branching object index.

Definition at line 97 of file BlisNodeDesc.h.

int BlisNodeDesc::getBranchedInd | ( |  | ) | const
| inline

Get branching object index.

Definition at line 100 of file BlisNodeDesc.h.

void BlisNodeDesc::setBranchedVal | ( | double | d | ) |
| inline

Set branching value.

Definition at line 103 of file BlisNodeDesc.h.

double BlisNodeDesc::getBranchedVal | ( |  | ) | const
| inline

Get branching direction.

Definition at line 106 of file BlisNodeDesc.h.

AlpsReturnStatus BlisNodeDesc::encodeBlis | ( | AlpsEncoded * | encoded | ) | const
| inline protected

Pack blis portion of node description into an encoded.

Definition at line 111 of file BlisNodeDesc.h.

AlpsReturnStatus BlisNodeDesc::decodeBlis | ( | AlpsEncoded & | encoded | ) |
| inline protected

Unpack blis portion of node description from an encoded.

Definition at line 133 of file BlisNodeDesc.h.

virtual AlpsReturnStatus BlisNodeDesc::encode | ( | AlpsEncoded * | encoded | ) | const
| inline virtual

Pack node description into an encoded.

Reimplemented from AlpsNodeDesc.

Definition at line 157 of file BlisNodeDesc.h.

virtual AlpsReturnStatus BlisNodeDesc::decode | ( | AlpsEncoded & | encoded | ) |
| inline virtual

Unpack a node description from an encoded.

Fill member data.

Reimplemented from AlpsNodeDesc.

Definition at line 167 of file BlisNodeDesc.h.

## Member Data Documentation

int BlisNodeDesc::branchedDir_
| private

Branched direction to create it.

For updating pseudocost.

Definition at line 45 of file BlisNodeDesc.h.

int BlisNodeDesc::branchedInd_
| private

Branched object index to create it.

For updating pseudocost.

Definition at line 48 of file BlisNodeDesc.h.

double BlisNodeDesc::branchedVal_
| private

Branched value to create it.

For updating pseudocost.

Definition at line 51 of file BlisNodeDesc.h.

CoinWarmStartBasis * BlisNodeDesc::basis_
| private

Warm start.

Definition at line 54 of file BlisNodeDesc.h.

The documentation for this class was generated from the following files:

- /tmp/CHiPPS-Blis-0.94.3/Bcps/examples/Blis/BlisNodeDesc.h
- /tmp/CHiPPS-Blis-0.94.3/Blis/src/BlisNodeDesc.h